Skip to main content
GET
/
v1
/
sessions
/
logs
curl -X GET "https://api.whatabot.app/api/v1/sessions/logs?page=0&size=10" \
  -H "X-Api-Key: wh_your_api_key"
{
  "content": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "workspaceId": "660e8400-e29b-41d4-a716-446655440000",
      "flowId": "550e8400-e29b-41d4-a716-446655440000",
      "externalId": "contact-123",
      "status": "completed",
      "warnings": 0,
      "startedAt": "2025-01-15T10:30:00.000Z",
      "expiresAt": "2025-01-15T10:45:00.000Z",
      "finishedAt": "2025-01-15T10:32:15.000Z"
    }
  ],
  "totalElements": 1,
  "totalPages": 1,
  "number": 0,
  "size": 10,
  "first": true,
  "last": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.whatabot.app/llms.txt

Use this file to discover all available pages before exploring further.

Retrieve session execution logs with pagination and filtering. Use this to monitor flow executions, track errors, and audit session activity.
X-Api-Key
string
required
Your API key (prefixed with wh_).
page
integer
default:"0"
Page number (zero-based).
size
integer
default:"10"
Number of items per page (1-100).
orderBy
string
Column name to order results by.
direction
string
default:"ASC"
Sort direction. ASC or DESC.
workspaceId
string
Filter by workspace UUID.
dateRange
string
Filter by date range. One of today, last7days, last15days, last30days.
sessionId
string
Filter by a specific session UUID.
status
string
Filter by session status. One of running, completed, timeout, error.
curl -X GET "https://api.whatabot.app/api/v1/sessions/logs?page=0&size=10" \
  -H "X-Api-Key: wh_your_api_key"
{
  "content": [
    {
      "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "workspaceId": "660e8400-e29b-41d4-a716-446655440000",
      "flowId": "550e8400-e29b-41d4-a716-446655440000",
      "externalId": "contact-123",
      "status": "completed",
      "warnings": 0,
      "startedAt": "2025-01-15T10:30:00.000Z",
      "expiresAt": "2025-01-15T10:45:00.000Z",
      "finishedAt": "2025-01-15T10:32:15.000Z"
    }
  ],
  "totalElements": 1,
  "totalPages": 1,
  "number": 0,
  "size": 10,
  "first": true,
  "last": true
}